# RPM specfile for evo-db3 module
# Generated Tue Oct 16 17:33:20 2001 GMT by Ximian build system
# $Id: bb_do,v 1.144 2001/10/06 09:16:29 thunder Exp $
# from $Id: ximian-build.conf,v 1.2 2001/09/13 12:23:09 peter Exp $

%define nam	evo-db3
%define ver	3.1.17

Name:     	evo-db3
Version: 	3.1.17
Release:	ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.1 / i586
Copyright:	Special
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.sleepycat.com/
Source0:	db-3.1.17.tar.gz
Summary:	DB3 for Evolution
Group:		Development/Libraries

%description
This package contains an installation of the db3 library for use in compiling evolution.

You shouldn't need this package unless you are compiling evolution from Ximian's SRPMS.

%files
%defattr(-, root, root)
/opt/evo-db3


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n db-3.1.17
    ;;
all)
%setup  -q -n db-3.1.17
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    cd build_unix; ../dist/configure --prefix=/opt/evo-db3
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    cd build_unix; ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    cd build_unix; ${MAKE} install prefix=${DESTDIR}/opt/evo-db3 sysconfdir=${DESTDIR}/opt/evo-db3/etc mandir=${DESTDIR}/opt/evo-db3/man infodir=${DESTDIR}/opt/evo-db3/info localstatedir=${DESTDIR}/opt/evo-db3/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
